Skip to main content
GET
/
v1
/
bets
List
curl --request GET \
  --url https://api.example.com/v1/bets
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "strategy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "event_id": "<string>",
    "market_url": "<string>",
    "side": "<string>",
    "price": "<string>",
    "stake": "<string>",
    "currency": "<string>",
    "status": "<string>",
    "paper": true,
    "error": "<string>",
    "placed_at": "2023-11-07T05:31:56Z",
    "settled_at": "2023-11-07T05:31:56Z",
    "return_amount": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.edge.glitchexecutor.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-dev-user
string | null
authorization
string | null

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 500
strategy_id
string<uuid> | null
paper
boolean | null

Response

Successful Response

id
string<uuid>
required
strategy_id
string<uuid> | null
required
reference_id
string<uuid>
required
event_id
string
required
market_url
string
required
side
string
required
price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
stake
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string
required
status
string
required
paper
boolean
required
error
string | null
required
placed_at
string<date-time>
required
settled_at
string<date-time> | null
required
return_amount
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$